Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.contents.fonts
Enum StandardType1Font.FamilyEnum

    java.lang.Object
      java.lang.Enum<StandardType1Font.FamilyEnum>
          org.pdfclown.documents.contents.fonts.StandardType1Font.FamilyEnum

All Implemented Interfaces:
  Serializable, Comparable<StandardType1Font.FamilyEnum>

Enclosing class:
  StandardType1Font

    public static enum StandardType1Font.FamilyEnum

extends Enum<StandardType1Font.FamilyEnum>

Standard Type 1 font families [PDF:1.6:5.5.1].

Enum Constant Summary
`Courier`
`Helvetica`
`Symbol`
`Times`
`ZapfDingbats`

Method Summary
`boolean` | `isSymbolic()`
`static StandardType1Font.FamilyEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StandardType1Font.FamilyEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Courier

    public static final StandardType1Font.FamilyEnum Courier

### Helvetica

    public static final StandardType1Font.FamilyEnum Helvetica

### Times

    public static final StandardType1Font.FamilyEnum Times

### Symbol

    public static final StandardType1Font.FamilyEnum Symbol

### ZapfDingbats

    public static final StandardType1Font.FamilyEnum ZapfDingbats

Method Detail

### values

    public static StandardType1Font.FamilyEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StandardType1Font.FamilyEnum c : StandardType1Font.FamilyEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StandardType1Font.FamilyEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### isSymbolic

    public boolean isSymbolic()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.